package com.xydl.cac.repository;

import com.xydl.cac.entity.Zsb;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface ZsbRepository extends JpaRepository<Zsb, Integer>, JpaSpecificationExecutor<Zsb> {

    List<Zsb> findByJgid(Integer jgid);

    List<Zsb> findByJgidAndMc(Integer jgid, String mc);

    List<Zsb> findByJgidAndMcAndIdIsNot(Integer jgid, String mc, Integer id);

    List<Zsb> findByJgidAndLxid(Integer jgid, Integer lxid);
}